# Class DefaultAutoIndentStrategy

java.lang.Object
org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
org.eclipse.jface.text.DefaultAutoIndentStrategy

All Implemented Interfaces:
  `IAutoEditStrategy, IAutoIndentStrategy`

@Deprecated public class DefaultAutoIndentStrategy extends DefaultIndentLineAutoEditStrategy implements IAutoIndentStrategy
Deprecated.
since 3.1 use `DefaultIndentLineAutoEditStrategy` instead
Default implementation of `IAutoIndentStrategy`. This strategy always copies the indentation of the previous line.

This class is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`DefaultAutoIndentStrategy()`
Deprecated.

## Method Summary

### Methods inherited from class DefaultIndentLineAutoEditStrategy

`customizeDocumentCommand, findEndOfWhiteSpace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IAutoEditStrategy

`customizeDocumentCommand`

## Constructor Details

### DefaultAutoIndentStrategy

@Deprecated public DefaultAutoIndentStrategy()
Deprecated.
Creates a new default auto indent strategy.